/*!
 *     COPYRIGHT NOTICE
 *     Copyright (c) 2013,ɽƼ
 *     All rights reserved.
 *     ۣɽ̳ http://www.vcan123.com
 *
 *     ע⣬ݰȨɽƼУδҵ;
 *     ޸ʱ뱣ɽƼİȨ
 *
 * @file       port_cfg.h
 * @brief      ɽK60 ùܽ
 * @author     ɽƼ
 * @version    v5.1
 * @date       2013-06-26
 */
#ifndef _PORT_CFG_H_
#define _PORT_CFG_H_

#include "MK60_port.h"

/**********************************  UART   ***************************************/

//      ģͨ    ˿          ѡΧ                          
#define UART0_RX_PIN    PTD6        //PTA1PTA15PTB16PTD6          PTA1ҪãJtagͻ
#define UART0_TX_PIN    PTD7        //PTA2PTA14PTB17PTD7          PTA2ҪãJtagͻ

#define UART1_RX_PIN    PTC3        //PTC3PTE1
#define UART1_TX_PIN    PTC4        //PTC4PTE0

#define UART2_RX_PIN    PTD2        //PTD2
#define UART2_TX_PIN    PTD3        //PTD3

#define UART3_RX_PIN    PTC16       //PTB10PTC16PTE5
#define UART3_TX_PIN    PTC17       //PTB11PTC17PTE4

#define UART4_RX_PIN    PTC14       //PTC14PTE25
#define UART4_TX_PIN    PTC15       //PTC15PTE24

#define UART5_RX_PIN    PTE9        //PTD8PTE9
#define UART5_TX_PIN    PTE8        //PTD9PTE8

/**********************************  FTM    ***************************************/

//      ģͨ    ˿          ѡΧ              
#define FTM0_CH0_PIN    PTC1        //PTC1PTA3            PTA3ҪãJtagSWDͻ
#define FTM0_CH1_PIN    PTA4        //PTC2PTA4
#define FTM0_CH2_PIN    PTA5        //PTC3PTA5
#define FTM0_CH3_PIN    PTA6        //PTC4PTA6
#define FTM0_CH4_PIN    PTA7        //PTD4PTA7
#define FTM0_CH5_PIN    PTD5        //PTD5PTA0            PTA0ҪãJtagSWDͻ
#define FTM0_CH6_PIN    PTD6        //PTD6PTA1            PTA1ҪãJtagͻ
#define FTM0_CH7_PIN    PTD7        //PTD7PTA2            PTA2ҪãJtagͻ


//      ģͨ    ˿          ѡΧ              
#define FTM1_CH0_PIN    PTA12       //PTA8PTA12PTB0
#define FTM1_CH1_PIN    PTA13       //PTA9PTA13PTB1

//      ģͨ    ˿          ѡΧ              
#define FTM2_CH0_PIN    PTA10       //PTA10PTB18
#define FTM2_CH1_PIN    PTA11       //PTA11PTB19


#ifdef  MK60F15                 //ALT6       ALT3        ALT4        FX FTM3ģ

#define FTM3_CH0_PIN    PTE5        //PTE5                   PTD0
#define FTM3_CH1_PIN    PTE6        //PTE6                   PTD1
#define FTM3_CH2_PIN    PTE7        //PTE7                   PTD2
#define FTM3_CH3_PIN    PTE8        //PTE8                   PTD3
#define FTM3_CH4_PIN    PTE9        //PTE9       PTC8
#define FTM3_CH5_PIN    PTE10       //PTE10      PTC9
#define FTM3_CH6_PIN    PTE11       //PTE11      PTC10
#define FTM3_CH7_PIN    PTE12       //PTE12      PTC11

#endif

//ģͨ  ˿          ѡΧ              
#define FTM1_QDPHA_PIN  PTA12       //PTA8PTA12PTB0
#define FTM1_QDPHB_PIN  PTA13       //PTA9PTA13PTB1

#define FTM2_QDPHA_PIN  PTA10       //PTA10PTB18
#define FTM2_QDPHB_PIN  PTA11       //PTA11PTB19


/**********************************  I2C   ***************************************/

//      ģͨ    ˿          ѡΧ              
#define I2C0_SCL_PIN    PTD8        // PTB0PTB2PTD8
#define I2C0_SDA_PIN    PTD9        // PTB1PTB3PTD9

#define I2C1_SCL_PIN    PTC10       // PTE1PTC10
#define I2C1_SDA_PIN    PTC11       // PTE0PTC11


/**********************************  SPI   ***************************************/
//PCSӿڣõʱҪעͣͲгʼӦĹܽ
//      ģͨ    ˿          ѡΧ                  

#define SPI0_SCK_PIN    PTA15       // PTA15PTC5PTD1        ȫ ALT2
#define SPI0_SOUT_PIN   PTA16       // PTA16PTC6PTD2        ȫ ALT2
#define SPI0_SIN_PIN    PTA17       // PTA17PTC7PTD3        ȫ ALT2

#define SPI0_PCS0_PIN   PTA14       // PTA14PTC4PTD0      ȫ ALT2
#define SPI0_PCS1_PIN   PTC3        // PTC3PTD4               ȫ ALT2
#define SPI0_PCS2_PIN   PTC2        // PTC2PTD5               ȫ ALT2
#define SPI0_PCS3_PIN   PTC1        // PTC1PTD6               ȫ ALT2
#define SPI0_PCS4_PIN   PTC0        // PTC0                   ȫ ALT2
#define SPI0_PCS5_PIN   PTB23       // PTB23                    ALT3


#define SPI1_SCK_PIN    PTB11       // PTE2PTB11            ȫ ALT2
#define SPI1_SOUT_PIN   PTB16       // PTE1PTB16            ȫ ALT2
#define SPI1_SIN_PIN    PTB17       // PTE3PTB17            ȫ ALT2

#define SPI1_PCS0_PIN   PTB10       // PTE4PTB10            ȫ ALT2
#define SPI1_PCS1_PIN   PTE0        // PTE0PTB9             ȫ ALT2
#define SPI1_PCS2_PIN   PTE5        // PTE5                   ȫ ALT2
#define SPI1_PCS3_PIN   PTE6        // PTE6                   ȫ ALT2


#define SPI2_SCK_PIN    PTB21       // PTB21PTD12             ȫ ALT2
#define SPI2_SOUT_PIN   PTB22       // PTB22PTD13             ȫ ALT2
#define SPI2_SIN_PIN    PTB23       // PTB23PTD14             ȫ ALT2
#define SPI2_PCS0_PIN   PTB20       // PTB20PTD11             ȫ ALT2
#define SPI2_PCS1_PIN   PTD15       // PTD15                    ȫ ALT2


/**********************************  CAN   ***************************************/
#define CAN0_TX_PIN     PTA12       //PTA12PTB18              ȫ ALT2
#define CAN0_RX_PIN     PTA13       //PTA13PTB19              ȫ ALT2

#define CAN1_TX_PIN     PTE24       //PTE24PTC17              ȫ ALT2
#define CAN1_RX_PIN     PTE25       //PTE25PTC16              ȫ ALT2


#endif  //_PORT_CFG_H_


