/*********************************** ֣ṤҵѧԺʵ*************************************************************
 *                           
 * ļ: AD9833
 *     : AD9833
 *
 * ƽ̨    : MK60FN512
 *     : DDSײ
 *
 *     : 2015/2/1, by Han Zhenshuai 
 ***********************************We are the best team !  **************************************************/

#include "AD9833.h"

/************************************************************
 * : AD9833_Init() 
 * : None    
 * : None 
 * 
 *  :  AD9833ʼ
 * 
 *  : 2015/5/21, by Han Zhenshuai 
 ************************************************************/
 
short int Fre=100;

void AD9833_Init()
{
    
    gpio_init(DDSEN,GPO,1);
    gpio_init(DDSCLK,GPO,1);
    gpio_init(DDSData,GPO,1);
  
    DDSEN_H;                          
    DDSCLK_H;                        
    DDSData_L;
    AD9833_reset();
}
/************************************************************
 * : AD9833_writedata(unsigned int DDSdata) 
 * : DDSdata--  AD9833֣16bit  
 * : None 
 * 
 *  :  AD9833дݲ
 * 
 *  : 2015/5/21, by Han Zhenshuai 
 ************************************************************/

void AD9833_writedata(unsigned int DDSdata)
{
      unsigned char data_num=0;
      unsigned int DDSdata_temp;
      DDSdata_temp=DDSdata;
      DDSCLK_H;
      DELAY_US(4);
      DDSEN_L; 
      DELAY_US(4);
      for(data_num=0;data_num<16;data_num++)
      {
          if(DDSdata_temp & 0x8000 )
          {
              DDSData_H;
          }
          else
          {
              DDSData_L;
          }
          DELAY_US(4);
          DDSCLK_L;
          DELAY_US(4);
          DDSData_L;
          DELAY_US(4);
          DDSCLK_H;
          DDSdata_temp=DDSdata_temp<<1;
          if(data_num < 15)
          {
            DELAY_US(40);
          }
      }
      DDSEN_H;
}
/************************************************************
 * : AD9833_reset() 
 * : None
 * : None 
 * 
 *  :  AD9833 
 * 
 *  : 2015/5/21, by Han Zhenshuai 
 ************************************************************/


void AD9833_reset()
{
      AD9833_writedata(0x0100);                         //Ĵλ
      AD9833_writedata(0x2000);                         //׼ƵʼĴ 0
      AD9833_writedata(0x4000);                         //Filled with 0
      AD9833_writedata(0x4000);                         //Filled with 0
      AD9833_writedata(0x2000);                         //Prepare for clear Fre1
      AD9833_writedata(0x8000);                         //Filled with 1
      AD9833_writedata(0x8000);                         //Filled with1
      AD9833_writedata(0xD000);                         //clear PHS 0
      AD9833_writedata(0xF000);                         //clear PHS 1
}
/************************************************************
 * : Load_wave 
 * : ֡32bit28bit ЧƵݣ16bit12bit Чλ
 * : None 
 * 
 *  :  AD9833 ز
 * 
 *  : 2015/5/21, by Han Zhenshuai 
 ************************************************************/

void AD9833_OUT_wave(Wave wave, double Fre,uint16 Phase)
{
    int Fre_LSB,Fre_MSB,Phs_data;
    double Fre_data,Fre_mid;
    uint32 Fre_hex;
    
    Fre_mid=(double)(268435456.0/FMLCK);
    Fre_data=Fre;
    Fre_data=Fre_data*Fre_mid;
    Fre_hex=(uint32)Fre_data;
    
    Fre_LSB=Fre_hex;
    Fre_LSB&=0x3fff;
    Fre_MSB=Fre_hex>>14;
    Fre_MSB&=0x3fff;
    
    Fre_LSB|=0x4000;
    Fre_MSB|=0x4000;
    
    Phs_data=Phase|0xc000;
    
    AD9833_writedata(0x2100);
    AD9833_writedata(Fre_LSB);
    AD9833_writedata(Fre_MSB);
    AD9833_writedata(Phs_data);
    AD9833_writedata(0x2000); 
    
    switch(wave)
    {
        case  Sin:  AD9833_writedata(0x2000);
                    break;
        case  Tri:  AD9833_writedata(0x2002);
                    break;
        case  Rec:  AD9833_writedata(0x2028);
                    break;
    
    }
}

