/*********************************** ֣ṤҵѧԺʵ*************************************************************
 *                           
 * ļ: DAC8501
 *     : DAC8501
 *
 * ƽ̨    : MK60FN512
 *     : DAоƬײ
 *
 *     : 2015/2/1, by Han Zhenshuai 
 ***********************************We are the best team !  **************************************************/

#include "DAC8501.h"


int vol = 8000;                                   //voltage of the dac output

unsigned int vol_code;                             //voltage code of the output
/************************************************************
 * : DAC8501_Init() 
 * : None    
 * : None 
 * 
 *  :  DAC8501ʼ
 * 
 *  : 2015/5/21, by Han Zhenshuai 
 ************************************************************/
void DAC8501_Init(void)
{
  gpio_init(FSYNC,GPO,1);
  gpio_init(SCLK,GPO,1);
  gpio_init(DIN,GPO,1);
  
  cal_vol_code(vol);                        
  set_8501(normal,vol_code);
}

/************************************************************
 * : cal_vol_code() 
 * : None    
 * : None 
 * 
 *  :  ѹ
 * 
 *  : 2015/5/21, by Han Zhenshuai 
 ************************************************************/


void cal_vol_code(float voltage)
{
  //vol_code = (unsigned int)(voltage * 65536 / Vref);          //voltage = Vref / 65536 * code
    vol_code = (unsigned int)(voltage * 4); 
}

/************************************************************
 * : set_8501() 
 * : None    
 * : None 
 * 
 *  :  DAݴ
 * 
 *  : 2015/5/21, by Han Zhenshuai 
 ************************************************************/
void set_8501(unsigned char mode,unsigned int code)        //send the working mode and the voltage code
{
   unsigned char TEMP = 0x80;              //send the first byte which include the working mode of the chip
   unsigned int TEMP1 = 0x8000;            //send the next two byte which contains the voltage code
   unsigned char i;                        //loop value
   
    FSYNC_L;                                //pull down the SYNC
    SCLK_H;                                 //pull up the SCLK and ready to clock the data on the falling edge of the sclk
   
   for(i=0;i<8;i++)
   {
     SCLK_H;
     if((mode & TEMP) == TEMP)
       DIN_H;      //corresponding bit equals one
     else 
       DIN_L;
      TEMP >>= 1;
     SCLK_L;
   }
   
   for(i=0;i<16;i++)
   {
     SCLK_H;
     if((code & TEMP1) == TEMP1) DIN_H;    //corresponding bit equals one
     else DIN_L;
      TEMP1 >>= 1;
     SCLK_L;
   }
   
   SCLK_H;
   FSYNC_H;                                //pull up again
 
}







